/* layout */
.checkout .container {
    padding: 0 !important;
}

.woocommerce-billing-fields label {
    display: none;
}

.checkout__wrapper {
    display: flex;
    column-gap: 80px;
}

.checkout-shipping,
.checkout-billing {
    background: var(--white-color);
    /* border-radius: 10px; */
    /* padding: 25px; */
}

.checkout-shipping {
    width: 50%;
    height: fit-content;
    border-radius: 0 0 10px 10px;
}

.checkout-billing,
.checkout-wrapper__column {
    width: 50%;
}

.woocommerce-billing-fields h3,
#order_review_heading {
    /* margin-bottom: 50px; */
}

@media screen and (max-width: 992px) {

    .checkout-billing,
    .checkout-wrapper__column {
        width: 100%;
        /* max-width: 600px; */
        margin: 0 auto;
    }

    .checkout-wrapper__column:first-of-type {
        display: none;
    }
}

.woocommerce-cart-form {
    background: #fff;
    border-radius: 10px 10px 0 0;
    /* padding: 25px 25px 0; */
}

.checkout-wrapper_first+.woocommerce-message {
    display: none !important;
}











/* coupon form */
.coupon-wrapper {
    margin-bottom: 30px;
    max-width: calc(50% - 30px);
    margin-right: auto;
}

@media screen and (max-width: 992px) {
    .coupon-wrapper {
        max-width: 100%;
    }
}

.woocommerce-form-coupon-toggle {
    margin-bottom: 15px;
}

.showcoupon {
    transition: .15s ease-out;
    color: var(--main-color);
}

.showcoupon:hover {
    color: var(--main-color-hover);
}

.checkout_coupon {
    margin-bottom: 20px;
    padding: 20px;
    box-shadow: 0 1px 7px rgba(143, 129, 156, 0.4);
    border-radius: 10px;
    background: var(--white-color);
}

.coupon__btn {
    padding: 10px 0;
}

.coupon-wrapper .input-text {
    border-radius: 10px;
    padding: 5px;
    width: 100%;
    height: 44px;
}

.coupon-wrapper p {
    margin-bottom: 10px;
}

.woocommerce-form-coupon-toggle {
    /* display: none; */
}

.checkout_coupon-field-wrapper {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}

.checkout_coupon-field-wrapper .form-row {
    margin: 0;
    flex: 1 1 calc(50% - 20px);
}












/* payment and shipping */
.wc_payment_method {
    list-style: none !important;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

#shipping_method li {
    list-style: none;
}

.wc_payment_methods li:not(:last-child),
.woocommerce-shipping-methods li:not(:last-child) {
    margin-bottom: 10px;
}




.woocommerce-terms-and-conditions-wrapper {
    margin: 30px 0;
}


















/* subtotals */
.cart-order-review-section {
    margin: 30px 0;
}

.cart-subtotal span {
    font-size: 18px;
    line-height: 24px;
}

.order-total span {
    font-size: 20px;
    line-height: 24px;
    font-weight: 500;
}

.woocommerce-privacy-policy-link {
    color: var(--main-color);
    transition: .15s ease-out;
}

.woocommerce-privacy-policy-link:hover {
    color: var(--main-color-hover);
}

.payment_box {
    display: none !important;
    flex: 1 1 100%;
    background: #f5f6f7;
    padding: 10px 20px;
    border-radius: 10px;
    margin-top: 10px;
}

.cart-flex-block {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.cart-flex-block:not(:last-of-type) {
    margin-bottom: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid #cdc6f6;
}

.order-total {
    margin-top: 20px;
    margin-bottom: 10px;
    padding-bottom: 10px;
    border-bottom: 1px solid #cdc6f6;
}

h3#ship-to-different-address {
    margin-bottom: 20px;
}










/* field inputs */

#billing_country_field {
    display: none;
}

.woocommerce-billing-fields__field-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.woocommerce-billing-fields .form-row {
    flex: 1 1 100%;
}

.woocommerce-billing-fields .form-row-first,
.woocommerce-billing-fields .form-row-last {
    flex: 1 1 calc(50% - 15px);
}

.woocommerce-billing-fields label,
.woocommerce-additional-fields label {
    display: block;
    font-size: 14px;
    margin-right: 10px;
    margin-bottom: 5px;
    font-weight: 600;
}

.woocommerce-billing-fields label .required {
    text-decoration: none;
}

.select2-container--default .select2-selection--single {
    opacity: 0.3;
    border: 2px solid #593FDA;
    transition: .2s ease-out;
    border-radius: 10px;
}

.select2-selection {
    height: inherit !important;
    position: relative;
}

.select2-selection__arrow {
    left: 20px !important;
    top: 50% !important;
    transform: translate(0, -50%);
    height: 20px !important;
    width: 20px !important;
}

.select2-selection__arrow:after,
.select2-selection__arrow:before {
    content: "";
    position: absolute;
    width: 10px;
    background: var(--text-color);
    height: 2px;
    border-radius: 2px;
    transition: .25s ease-out;
}

.select2-selection__arrow:before {
    right: 2px;
    top: 50%;
    transform: translateY(-50%) rotate(-45deg);
}

.select2-selection__arrow:after {
    left: 2px;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
}


.select2-selection__arrow b {
    display: none;
}

.select2-container--open .select2-selection__arrow:after {
    transform: translateY(-50%) rotate(135deg);
}

.select2-container--open .select2-selection__arrow:before {
    transform: translateY(-50%) rotate(-135deg);
}

.select2-dropdown {
    border-radius: 10px;
    border: 2px solid #cdc6f6 !important;
    border-bottom: none !important;
}

.select2-search__field {
    border-radius: 10px !important;
    border: 2px solid #593FDA !important;
    opacity: .3;
    transition: .2s ease-out;
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
}

.select2-search__field:hover {
    opacity: .7;
}

.select2-search__field:focus {
    opacity: 1;
}

.select2-results {
    padding: 5px;
    border-bottom: 2px solid #593FDA !important;
    border-radius: 10px !important;
}

.select2-results__options::-webkit-scrollbar {
    width: 4px;
    background-color: #f9f9fd;
    border-radius: 10px;
}

.select2-results__options::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: var(--main-color);
}

.select2-results__options::-webkit-scrollbar-track {
    background-color: #fff;
    border-radius: 10px;
}

.select2-results__option--highlighted {
    background: var(--white-color) !important;
    color: var(--main-color) !important;
}

.select2-container--default .select2-results__option[aria-selected=true],
.select2-container--default .select2-results__option[data-selected=true] {
    background: var(--white-color) !important;
    color: var(--main-color) !important;
}






/* order comment field */

.woocommerce-additional-fields {
    margin-top: 35px;
}

.woocommerce-additional-fields__field-wrapper .optional {
    display: none;
}

#order_comments_field {
    display: flex;
    flex-direction: column;
    row-gap: 20px;
}










/* adaptive */
@media screen and (max-width: 1600px) {

    .checkout__wrapper {
        column-gap: 60px;
    }

    .shop_table .cart_item {
        column-gap: 30px;
    }
}

@media screen and (max-width: 1200px) {
    .checkout-shipping {
        padding: 20px;
    }

    .checkout-billing,
    .checkout-shipping {
        width: 50%;
    }

    .checkout__wrapper {
        column-gap: 30px;
    }

    .cart_item {
        column-gap: 20px;
    }
}

@media screen and (max-width: 992px) {
    .checkout__wrapper {
        flex-direction: column;
        row-gap: 45px;
    }

    .checkout-billing,
    .checkout-shipping {
        width: 100%;
        /* max-width: 600px; */
        margin: 0 auto;
    }

    .woocommerce-billing-fields h3,
    #order_review_heading {
        /* margin-bottom: 45px; */
    }

    .woocommerce-additional-fields {
        margin-top: 30px;
    }

    .checkout-shipping {
        padding: 25px;
    }

    .coupon-wrapper {
        margin: 0 auto;
    }
}

@media screen and (max-width: 768px) {

    .checkout-shipping,
    .checkout-billing {
        padding: 0px;
    }

    .woocommerce-billing-fields h3,
    #order_review_heading {
        /* margin-bottom: 30px; */
    }

    .place-order .btn {
        padding: 15px 0;
    }

    .wc_payment_method input {
        width: 25px;
        height: 25px;
    }

}

@media screen and (max-width: 500px) {
    .cart_item {
        flex-direction: column;
        align-items: start !important;
        row-gap: 10px;
    }
}

@media screen and (max-width: 370px) {

    .checkout-shipping,
    .checkout-billing {
        /* padding: 15px; */
    }
}
































































/* cart styles */

/* layout */
.woocommerce-cart-page-content {
    max-width: 650px;
    margin: 0 auto;
}







/* cart items */
.cart-item_form {
    background: #fff;
}







/* coupon */
.coupon_cart {
    display: flex;
    gap: 15px;
    width: 100%;
    justify-content: center;
    margin-top: 30px;
}

.coupon_cart label {
    top: 30px !important;
}

.form-row.filled label {
    top: 15px !important;
}

.coupon-wrapper {
    margin-top: 30px;
}

.coupon-wrapper .input-text {
    margin-right: 0;
}







/* totals */
.cart-collaterals {
    margin-top: 30px;
    border: 1px solid #0000001a;
    padding: 30px;
    border-radius: 5px;
    background-color: #fff;
}

.cart-collaterals__content {
    margin: 40px 0;
}

.cart-collaterals__block {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #0000001a;
    margin-bottom: 15px;
    padding-bottom: 15px;
}

.cart-collaterals__heading {
    flex: 0 0 150px;
    font-weight: bold !important;
    font-size: 22px !important;
}

.cart-collaterals__block:last-of-type {
    border-bottom: 0;
    margin-bottom: 0;
    padding-bottom: 0;
}

.cart-collaterals__block .woocommerce-Price-amount,
.cart-collaterals__block .woocommerce-Price-amount * {
    font-size: 22px;
    font-weight: bold;
}




/* shipping */
.cart-collaterals__shipping {
    border-bottom: 1px solid #0000001a;
    margin-bottom: 15px;
    padding-bottom: 15px;
}

.wc_payment_method,
#shipping_method li {
    list-style: none !important;
}

/* #shipping_method li:not(:last-of-type) {
    margin-bottom: 10px;
}

#shipping_method li:first-of-type {
    margin-top: 15px;
} */

.cart-collaterals__shipping {
    font-size: 22px;
    font-weight: bold;
}

.cart-collaterals__shipping * {
    font-size: initial;
    font-weight: initial;
}

#shipping_country_field {
    display: none;
}




/* checkout btn */
.checkout-button {
    background: var(--main-color);
    padding: 14px 0;
    border-radius: 10px;
    color: var(--white-color) !important;
    transition: .2s ease-out;
    width: 100%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
    min-height: 60px;
    font-size: 20px;
}

.checkout-button:hover {
    background: var(--main-color-hover);
}







/* adaptive */
@media screen and (max-width: 992px) {}

@media screen and (max-width: 767px) {
    .cart-collaterals {
        padding: 20px 15px;
    }

    .cart-collaterals__content {
        margin: 30px 0;
    }

    .cart-collaterals__heading {
        font-size: 20px !important;
    }
}





















/* order received */
.woocommerce-order-received .cart-section .entry-content.cart-is-empty .woocommerce:first-of-type,
.woocommerce-order-received .cart-empty.woocommerce-info,
.woocommerce-order-received .return-to-shop,
.woocommerce-order-received .cart-heading,
.woocommerce-order-received .breadcrumbs,
.woocommerce-order-received .woocommerce-customer-details {
    display: none;
}

.woocommerce-order-received .woocommerce-notice.woocommerce-thankyou-order-received {
    font-weight: 700;
    font-size: 32px;
    line-height: 130%;
    color: #000;
    text-align: center;
    padding: 24px 0;
    background: #f8f8f8;
    border-radius: 16px;
    margin-bottom: 30px;
}

.woocommerce-order-received .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (1fr)[5];
    grid-template-columns: repeat(5, 1fr);
    margin-bottom: 50px;
}

.woocommerce-order-received .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details li {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    font-weight: 600;
    font-size: 14px;
    opacity: .8;
}

.woocommerce-order-received .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details li strong {
    margin-top: 15px;
    font-weight: 600;
    font-size: 22px;
}

.woocommerce-order-received .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details li strong * {
    font-size: inherit;
    font-weight: inherit;
}

.woocommerce-order-received .woocommerce-order-details {
    margin-top: 50px;
}

.woocommerce-order-received .woocommerce-order-details__title {
    margin-bottom: 25px;
    font-weight: 700;
    font-size: 30px;
}

.woocommerce-order-received .woocommerce-table--order-details {
    border: none;
    width: 100%;
}

.woocommerce-order-received .woocommerce-table--order-details thead * {
    font-weight: 600;
    font-size: 18px;
    line-height: 130%;
    color: #9F9F9F;
}

.woocommerce-order-received .woocommerce-table--order-details thead th.product-total {
    text-align: right;
}

.woocommerce-order-received .woocommerce-table--order-details thead th {
    padding-bottom: 15px;
    border-bottom: 1px solid #E5E5E5;
}

.woocommerce-order-received .woocommerce-table--order-details .product-name a {
    font-weight: 600;
    font-size: 22px;
    padding: 20px 0;
    display: inline-block;
}

.woocommerce-order-received .woocommerce-table--order-details .order_item td.product-total {
    text-align: right;
}

.woocommerce-order-received .woocommerce-table--order-details tfoot td {
    text-align: right;
}

.woocommerce-order-received .woocommerce-table--order-details tfoot tr:first-of-type {
    display: none;
}

.woocommerce-order-received .woocommerce-table--order-details tfoot th,
.woocommerce-order-received .woocommerce-table--order-details tfoot td {
    padding: 25px 0;
    border-bottom: 1px solid #E5E5E5;
}

.woocommerce-order-received .woocommerce-table--order-details .order_item td {
    border-bottom: 1px solid #E5E5E5;
    border-right: 0;
    border-left: 0;
}

.woocommerce-order-received .woocommerce-table--order-details {
    border-collapse: collapse;
}

.woocommerce-order-received .woocommerce-table--order-details tfoot tr:last-of-type th,
.woocommerce-order-received .woocommerce-table--order-details tfoot tr:last-of-type td {
    border: none;
}

.woocommerce-order-received .woocommerce-order-details {
    margin-bottom: 120px;
}

.woocommerce-order-received .woocommerce-table--order-details tfoot tr:last-of-type td * {
    font-weight: 600;
    font-size: 25px;
    color: #593FDA;
}

.woocommerce-order-received .woocommerce-order {
    margin-inline: auto;
    text-align: center;
}

.woocommerce-order-received .woocommerce-order-overview li {
    list-style: none !important;
}

.woocommerce-order-received .woocommerce-table--order-details {
    margin-inline: auto;
}

.woocommerce-order-received .woocommerce-customer-details {
    margin-top: 20px;
}

.woocommerce-order-received .woocommerce-order-details__title {
    margin-top: 20px;
    margin-bottom: 15px;
    font-weight: 500;
}

ul.wc-item-meta li {
    display: flex;
    gap: 3px;
    justify-content: center;
}

.woocommerce-order-received .woocommerce-order-details {
    max-width: 700px;
    margin-left: auto;
    margin-right: auto;
}

@media screen and (max-width: 1300px) {
    .woocommerce-order-received .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details li strong {
        font-size: 16px;
        margin-top: 10px;
    }

    .woocommerce-order-received .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details li {
        font-size: 13px;
    }

    .woocommerce-order-received .woocommerce-notice.woocommerce-thankyou-order-received {
        font-size: 22px;
    }

    .woocommerce-order-received .woocommerce-order-details__title {
        font-size: 22px;
    }

    .woocommerce-order-received .woocommerce-table--order-details .product-name a {
        font-size: 14px;
    }

    .woocommerce-order-received .woocommerce-table--order-details tfoot th {
        font-size: 16px;
    }

    .woocommerce-order-received .woocommerce-table--order-details tfoot tr:last-of-type td * {
        font-size: 20px;
    }

    .woocommerce-order-received .woocommerce-order-details {
        margin-bottom: 60px;
    }
}



@media screen and (max-width: 768px) {
    .woocommerce-order-received .woocommerce-notice.woocommerce-thankyou-order-received {
        font-size: 18px;
        padding: 15px 0;
    }

    .woocommerce-order-received .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details {
        -ms-grid-columns: 100%;
        grid-template-columns: 100%;
    }

    .woocommerce-order-received .woocommerce-table--order-details .product-name a {
        font-size: 12px;
    }

    .woocommerce-order-received .woocommerce-table--order-details thead th {
        font-size: 14px;
    }

    .woocommerce-order-received .woocommerce-table--order-details tfoot tr:last-of-type td * {
        font-size: 16px;
    }

    .woocommerce-order-received .woocommerce-table--order-details tfoot td {
        font-size: 14px;
    }

    .woocommerce-order-received .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details {
        grid-gap: 20px;
    }
}

#place_order:disabled {
    opacity: .6;
    pointer-events: none;
}